    QMQP-SOURCE(1)                                     QMQP-SOURCE(1)

    NAME
           qmqp-source - multi-threaded QMQP test generator

    SYNOPSIS
           qmqp-source [options] [inet:]host[:port]

           qmqp-source [options] unix:pathname

    DESCRIPTION
           qmqp-source  connects  to  the  named  host  and  TCP port
           (default 628) and sends one or more messages to it, either
           sequentially  or  in parallel. The program speaks the QMQP
           protocol.  Connections can be made to UNIX-domain and IPV4
           servers.  IPV4 is the default.

           Options:

           -c     Display  a running counter that is incremented each
                  time a delivery completes.

           -C count
                  When a host sends RESET  instead  of  SYN|ACK,  try
                  count  times before giving up. The default count is
                  1. Specify a larger count in order to work around a
                  problem with TCP/IP stacks that send RESET when the
                  listen queue is full.

           -f from
                  Use  the   specified   sender   address   (default:
                  <foo@myhostname>).

           -l length
                  Send  length  bytes  as message payload. The length
                  includes the message headers.

           -m message_count
                  Send the specified number of messages (default: 1).

           -r recipient_count
                  Send  the specified number of recipients per trans-
                  action (default: 1).  Recipient names are generated
                  by prepending a number to the recipient address.

           -s session_count
                  Run the specified number of QMQP sessions in paral-
                  lel (default: 1).

           -t to  Use  the  specified  recipient  address   (default:
                  <foo@myhostname>).

           -R interval
                  Wait for a random period of time 0 <= n <= interval
                  between messages.  Suspending one thread  does  not
                  affect other delivery threads.

           -w interval
                  Wait a fixed time between messages.  Suspending one
                  thread does not affect other delivery threads.

    SEE ALSO
           qmqp-sink(1), QMQP message dump

    LICENSE
           The Secure Mailer license must be  distributed  with  this
           software.

    AUTHOR(S)
           Wietse Venema
           IBM T.J. Watson Research
           P.O. Box 704
           Yorktown Heights, NY 10598, USA

                                                       QMQP-SOURCE(1)